# Struct gdk_sys::GdkEventProximity [−] [src]

    #[repr(C)]
    pub struct GdkEventProximity {
        pub type_: GdkEventType,
        pub window: *mut GdkWindow,
        pub send_event: i8,
        pub time: u32,
        pub device: *mut GdkDevice,
    }

## Fields

`type_: GdkEventType` `window: *mut GdkWindow` `send_event: i8` `time: u32` `device: *mut GdkDevice`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)